# Uses of Class
it.tdlight.jni.TdApi.MessageSponsor

## Uses of TdApi.MessageSponsor in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.MessageSponsor
Modifier and Type
Field
Description
`TdApi.MessageSponsor`
TdApi.SponsoredMessage.`sponsor`
Information about the sponsor of the message.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageSponsor
Modifier
Constructor
Description
``
`SponsoredMessage(long messageId, boolean isRecommended, TdApi.MessageContent content, TdApi.MessageSponsor sponsor, String buttonText, String additionalInfo)`
Describes a sponsored message.